Subject: Re: bug#31302: `guix import json` doesn't handle inputs with the form 'package:output'

From: Lulu <[email-masked]>
Date: Sun, 25 Oct 2020 20:12:32 +0300 (TRT)

The version hash of Guix I tried this on was `26f6bd0403ed20c1d26eca9d4f28a0da519a56ac'.

I used the example JSON file for the `hello' package provided in
"(guix)Invoking guix import". Then, based on the given example of glib, I tried
running `guix import json' with `glib', `glib:bin', `glib:doc', `glib:out'
separately appended to the `native-inputs' array of `hello.json', in order. It
produced an appropriate SXML structure in the `native-inputs` field each time:
("glib" (@ (gnu packages glib) glib-with-documentation))
for standalone `glib' and
("glib" (@ (gnu packages glib) glib-with-documentation) "bin")
for the rest, which appears to fit the package definition syntax.

When I tried with `glib:foo', where `foo' is an erroneous output, it yielded the
following error:
guix import: error: package [email-masked]' lacks output `foo'.

So, it seems like this bug was fixed somewhere along the line.

--
Lulu